
import requests
import json
import os
import sys
import time

from threading import Thread
from datetime import date

from api import login
from api import logout

from api import country_list

from api import account_details
from api import update_account_details

from api import  password_change
from api import  password_reset

from api import send_command

from api import command_stats
from api import voice_stats
from api import credit_stats
from api import purchase_stats

from api import storage_add
from api import storage_get
from api import storage_list
from api import storage_delete

from api import tos

# Fill with your credentials
email = ""
password = ""

# ---------------------------------------------------------------------------------------------
class bcolors:
    BLUE = '\033[94m'
    GREEN = '\033[92m'
    ORANGE = '\033[93m'
    RED = '\033[91m'
    ENDC = '\033[0m'
    BOLD = '\033[1m'
    UNDERLINE = '\033[4m'

CHECK_MARK = bcolors.GREEN + u'\u2713' + bcolors.ENDC
ERROR_MARK = bcolors.RED + u'\u2573' + bcolors.ENDC



# ---------------------------------------------------------------------------------------------
def menu():

	print("")
	
	# -----------------------------------------
	# country list
	response = country_list()
	if response.status_code == 200:
		print(CHECK_MARK + " - country list")
	else:
		print(ERROR_MARK + " - country list")
	
	# -----------------------------------------
	# login
	token = login(email, password)
	if token != "":
		print(CHECK_MARK + " - login")
	else:
		print(ERROR_MARK + " - login - " + str(response.json()))
	

	# -----------------------------------------
	# accept Terms of Service
	response = tos(token,"yes")
	if response.status_code == 200:
		print(CHECK_MARK + " - accept terms of service")
	else:
		print(ERROR_MARK + " - accept terms of service")


	# -----------------------------------------
	# get account details with a valid login token
	response = account_details(token)
	if response.status_code == 200:
		print(CHECK_MARK + " - account details")
	else:
		print(ERROR_MARK + " - account details")
		
	# -----------------------------------------
	# update account address with a valid login token
	response = update_account_details(token,"rue Montparnasse")
	if response.status_code == 200:
		print(CHECK_MARK + " - update account details")
	else:
		print(ERROR_MARK + " - update account details")

	
	# -----------------------------------------
	# test commands
	output = "stream"
	response = send_command(token,"Alice22k_HQ","Hello I'm testing the Acapela Cloud api", output)
	if response.status_code != 200:
		print(ERROR_MARK + " - send a command stream")	
	else:
		if "audio" in response.headers['Content-Type']:
			print(CHECK_MARK + " - send a command stream")	
		else:
			print(ERROR_MARK + " - send a command stream")	

	output = "storage"
	response = send_command(token,"Alice22k_HQ","Hello I'm testing the Acapela Cloud api", output)
	if response.status_code != 200:
		print(ERROR_MARK + " - send a command storage")	
	else:
		print(CHECK_MARK + " - send a command storage")	

	
	# -----------------------------------------
	# get command stats
	response = command_stats(token)
	if response.status_code != 200:
		print(ERROR_MARK + " - command stats")	
	else:
		print(CHECK_MARK + " - command stats")	

	
	# -----------------------------------------
	# get voice stats
	response = voice_stats(token)
	if response.status_code != 200:
		print(ERROR_MARK + " - voice history")	
	else:
		print(CHECK_MARK + " - voice history")	

	# -----------------------------------------
	# get credit stats
	response = credit_stats(token)
	if response.status_code != 200:
		print(ERROR_MARK + " - credit stats")	
	else:
		print(CHECK_MARK + " - credit stats")
			
	# -----------------------------------------
	# get purchase stats
	response = purchase_stats(token)
	if response.status_code != 200:
		print(ERROR_MARK + " - purchase stats")	
	else:
		print(CHECK_MARK + " - purchase stats")
			
	# -----------------------------------------
	# upload file
	filename = os.path.basename(__file__)
	response = storage_add(token,filename)
	if response.status_code != 200:
		print(ERROR_MARK + " - storage add")	
	else:
		print(CHECK_MARK + " - storage add")

	# -----------------------------------------
	# list file
	response = storage_list(token)
	if response.status_code != 200:
		print(ERROR_MARK + " - storage list")	
	else:
		print(CHECK_MARK + " - storage list")

	# -----------------------------------------
	# delete file
	response = storage_delete(token,filename)
	if response.status_code != 200:
		print(ERROR_MARK + " - storage delete")	
	else:
		print(CHECK_MARK + " - storage delete")
		
	print("")


# ---------------------------------------------------------------------------------------------
if __name__ == "__main__":
    menu()


